Skip to main content
GET
/
v1
/
accounts
/
{account_id}
/
deploymentShapes
/
{deployment_shape_id}
/
versions
/
{version_id}
Get Deployment Shape Version
curl --request GET \
  --url https://api.fireworks.ai/v1/accounts/{account_id}/deploymentShapes/{deployment_shape_id}/versions/{version_id} \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "createTime": "2023-11-07T05:31:56Z",
  "snapshot": {
    "baseModel": "<string>",
    "name": "<string>",
    "displayName": "<string>",
    "description": "<string>",
    "createTime": "2023-11-07T05:31:56Z",
    "updateTime": "2023-11-07T05:31:56Z",
    "modelType": "<string>",
    "parameterCount": "<string>",
    "acceleratorCount": 123,
    "acceleratorType": "ACCELERATOR_TYPE_UNSPECIFIED",
    "precision": "PRECISION_UNSPECIFIED",
    "disableDeploymentSizeValidation": true,
    "enableAddons": true,
    "draftTokenCount": 123,
    "draftModel": "<string>",
    "ngramSpeculationLength": 123,
    "disableSpeculativeDecoding": true,
    "enableSessionAffinity": true,
    "numLoraDeviceCached": 123,
    "maxContextLength": 123,
    "presetType": "PRESET_TYPE_UNSPECIFIED"
  },
  "validated": true,
  "public": true,
  "latestValidated": true
}

Documentation Index

Fetch the complete documentation index at: https://fireworks.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication using your Fireworks API key. Format: Bearer <API_KEY>

Path Parameters

account_id
string
required

The Account Id

deployment_shape_id
string
required

The Deployment Shape Id

version_id
string
required

The Version Id

Query Parameters

readMask
string

The fields to be returned in the response. If empty or "*", all fields will be returned.

Response

200 - application/json

A successful response.

name
string
read-only
createTime
string<date-time>
read-only

The creation time of the deployment shape version. Lists will be ordered by this field.

snapshot
A deployment shape is a set of parameters that define the shape of a deployment. Deployments are created from a deployment shape. · object
read-only

Full snapshot of the Deployment Shape at this version.

validated
boolean

If true, this version has been validated.

public
boolean

If true, this version will be publicly readable.

latestValidated
boolean
read-only

If true, this version is the latest validated version. Only one version of the shape can be the latest validated version.